
-- FUNCIONALIDAD FORMULARIO
declare @id_permiso as int
declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)
set @id_permiso =(SELECT id from gui_funcionalidad  where  id_tipoFuncionalidad =3 and url='/forms/ter/ter_tercero.aspx')

if not exists (select *  from gui_funcionalidad where  active=1 and id_tipoFuncionalidad=1 and nombreControl='inc_listaprecio' and id_funcionalidad=@id_permiso )
begin

insert into [gui_funcionalidad]            ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Lista precio','','','','','','',0,'inc_listaprecio','',1,@id_permiso,1)
end


set @id_permiso =(SELECT id from gui_funcionalidad  where  id_tipoFuncionalidad =3 and url='/forms/cat/cat_listaPrecio.aspx')

if not exists (select *  from gui_funcionalidad where  active=1 and id_tipoFuncionalidad=1 and nombreControl='inc_terceros' and id_funcionalidad=@id_permiso )
begin

insert into [gui_funcionalidad]            ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Terceros','','','','','','',0,'inc_terceros','',1,@id_permiso,1)
end